summaryrefslogtreecommitdiff
path: root/t/aclocal-no-extra-scan.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/aclocal-no-extra-scan.sh')
-rwxr-xr-xt/aclocal-no-extra-scan.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/t/aclocal-no-extra-scan.sh b/t/aclocal-no-extra-scan.sh
new file mode 100755
index 000000000..34f66b191
--- /dev/null
+++ b/t/aclocal-no-extra-scan.sh
@@ -0,0 +1,37 @@
+#! /bin/sh
+# Copyright (C) 2004-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure aclocal does not include definitions that are not actually
+# evaluated.
+
+am_create_testdir=empty
+. test-init.sh
+
+cat > configure.ac << 'END'
+AC_INIT([x], [0])
+AC_SUBST([POM])
+END
+
+mkdir m4
+cat >m4/some.m4 <<'EOF'
+AC_DEFUN([AM_SOME_MACRO],
+[AC_DEFUN([AC_SUBST], [GREPME])])
+EOF
+
+$ACLOCAL -I m4
+$EGREP 'some.m4|GREPME' aclocal.m4 && exit 1
+
+: